All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.servlet.util
Interface CommandProcessorViewInterface

All Superinterfaces:
  ComponentInterface, java.util.EventListener, LinkPropertiesInterface, ModelInterface, java.io.ObjectInputValidation, java.beans.PropertyChangeListener, com.sas.beans.PropertyChangeSource, java.io.Serializable, com.sas.servlet.beans.TransformationInterface, com.sas.beans.VetoableChangeSource, ViewInterface

Deprecated. As of Version 3.0 this class has been replaced by com.sas.servlet.util.commandprocessor.CommandProcessorViewInterface.

    public interface CommandProcessorViewInterface

extends com.sas.servlet.beans.TransformationInterface

Method Summary
`abstract CommandProcessorInterface` | `getCommandProcessor()` Deprecated. Returns the CommandProcessor object
`abstract void` | `setCommandProcessor(CommandProcessorInterface cp)` Deprecated. Sets the CommandProcessor object

Methods inherited from interface com.sas.ComponentInterface
`addPropertyChangeListener, addVetoableChangeListener, anyPropertyChangeListeners, dumpComponent, firePropertyChange, firePropertyChange, fireVetoableChange, getComponentDescription, getComponentSupportInfo, initialize, initializeComponent, isDesignTime, removePropertyChangeListener, removeVetoableChangeListener, setComponentDescription, setComponentSupportInfo, setDefaultValues`

Methods inherited from interface com.sas.ViewInterface
`attachModel, detachModel, getModelInterface, getRequiredInterfaces, getViewInterfaceSupportInfo, refresh, removeInterfaceTraps, setModelInterface, setRequiredInterfaces, setViewInterfaceSupportInfo, supportsRequiredInterfaces, trapInterfaceEvents`

Methods inherited from interface com.sas.ModelInterface
`attachView, detachView`

Methods inherited from interface com.sas.LinkPropertiesInterface
`addLink, getLinkInfo, isLinked, queryLinks, queryLinks, removeAllLinks, removeLink, setLinkInfo`

Method Detail

### getCommandProcessor

    CommandProcessorInterface getCommandProcessor()

  Deprecated.
  Returns the CommandProcessor object

  Returns:
    CommandProcessor object

### setCommandProcessor

    void setCommandProcessor(CommandProcessorInterface cp)

  Deprecated.
  Sets the CommandProcessor object

  Parameters:
    `CommandProcessor` - object

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.